## GalViewInstanceSaveAsDialog

GalViewInstanceSaveAsDialog

## Functions

GtkWidget * | gal_view_instance_save_as_dialog_new ()
void | gal_view_instance_save_as_dialog_save ()

## Properties

GalViewInstance * | instance | Read / Write

## Types and Values

enum | GalViewInstanceSaveAsDialogToggle
struct | GalViewInstanceSaveAsDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GalViewInstanceSaveAsDialog

## Implemented Interfaces

GalViewInstanceSaveAsDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gal_view_instance_save_as_dialog_new ()

    GtkWidget *
    gal_view_instance_save_as_dialog_new (GalViewInstance *instance);

Returns a new dialog for defining views.

#### Returns

The GalViewInstanceSaveAsDialog.

### gal_view_instance_save_as_dialog_save ()

    void
    gal_view_instance_save_as_dialog_save (GalViewInstanceSaveAsDialog *dialog);

## Types and Values

### enum GalViewInstanceSaveAsDialogToggle

#### Members

GAL_VIEW_INSTANCE_SAVE_AS_DIALOG_TOGGLE_REPLACE |  |
GAL_VIEW_INSTANCE_SAVE_AS_DIALOG_TOGGLE_CREATE |  |

### struct GalViewInstanceSaveAsDialog

    struct GalViewInstanceSaveAsDialog;

## Property Details

### The `“instance”` property

      “instance”                 GalViewInstance *

Flags: Read / Write